# QMutex Class Reference

### [com.trolltech.qt.core package]

### Constructor

- void QMutex(RecursionMode mode)

### Constructor Properties

- prototype: The QMutex prototype object
- NonRecursive
- Recursive
- RecursionMode( value )

### Prototype Object Properties

- void lock()
- void lockInline()
- bool tryLock()
- bool tryLockInline()
- void unlock()
- void unlockInline()

### Instance Properties

QMutex objects have no special properties beyond those inherited from the QMutex prototype object.